package com.sun.imageio.spi;

import javax.imageio.stream.FileImageInputStream;
import javax.imageio.stream.ImageInputStream;
import java.io.File;
import java.util.Locale;
import javax.imageio.spi.ImageInputStreamSpi;

public class FileImageInputStreamSpi extends ImageInputStreamSpi
{
    private static final String vendorName = "Oracle Corporation";
    private static final String version = "1.0";
    private static final Class inputClass;
    
    public FileImageInputStreamSpi() {
        super("Oracle Corporation", "1.0", FileImageInputStreamSpi.inputClass);
    }
    
    @Override
    public String getDescription(Locale locale) {
        return "Service provider that instantiates a FileImageInputStream from a File";
    }
    
    @Override
    public ImageInputStream createInputStreamInstance(Object o, boolean b, File file) {
        if ((o instanceof File)) {
            try {
                return new FileImageInputStream((File)o);
            }
            catch (Exception ex) {
                return null;
            }
        }
        else {
            throw new IllegalArgumentException();
        }
    }
    
    static {
        inputClass = File.class;
    }
}
